<?php
/**
 * Adama child theme functions
 *
 * When using a child theme you can override certain functions (those wrapped
 * in a function_exists() call) by defining them first in your child theme's
 * functions.php file. The child theme's functions.php file is included before
 * the parent theme's file, so the child theme functions would be used.
 *
 * @link https://codex.wordpress.org/Theme_Development
 * @link https://codex.wordpress.org/Child_Themes
 */

/**
 * Enqueue the child theme stylesheet
 */
function adama_child_theme_enqueue_scripts() {
	wp_register_style( 'adama-child', get_stylesheet_directory_uri() . '/style.css'  );
	wp_enqueue_style( 'adama-child' );
}
add_action( 'wp_enqueue_scripts', 'adama_child_theme_enqueue_scripts', 11 );
