<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

get_header(); ?>

<div class="full-width full-width-hero">
	<div class="hero-type-content">
		<section class="page-header">
			<div class="container">
				<h1 class="page-header-title"><?php esc_html_e( '404 Error: Page Not Found', 'adama' ); ?></h1>
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="btn btn-two"><?php esc_html_e( 'Home', 'adama' ); ?></a>
			</div>
		</section>
	</div>
</div>

<div class="container">
	<div class="row">

		<div class="col-md-12">
			<div class="error404-inner text-center">
				<h2><?php esc_html_e( "Sorry, we can't find that page.", 'adama' ); ?></h2>
				<p><?php printf( wp_kses( __( 'Search our website or go back to <a href="%s" class="underline"><u>previous page</u></a>.', 'adama' ), array( 'a' => array( 'href' => true, 'class' => true ), 'u' => array() ) ), esc_url( wp_get_referer() ? wp_get_referer() : home_url( '/' ) ) ); ?></p>

				<?php get_search_form(); ?>
			</div>
		</div>

	</div>
</div>

<?php get_footer();