<?php
/**
 * The template for displaying Author archive pages
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

get_header();

$author_id = get_the_author_meta( 'ID' );
?>

<section class="w-section">
	<div class="container <?php echo adama_get_blog_layout_class(); ?> <?php echo adama_get_blog_columns_class(); ?>">
		<div class="row">

			<div id="content" class="col-md-9 col-content" role="main">
				<?php if ( galactica_option( 'blog_hide_author_info', true ) ) : ?>
					<div class="panel panel-default author">
						<div class="panel-body">
							<div class="avatar-wrap">
								<?php echo get_avatar( get_the_author_meta( 'user_email' ), '82' ); ?>
							</div>

							<div class="author_description">
								<h3 class="author_title">
									<?php printf( esc_html_x( 'About %s', 'about author', 'adama' ), get_the_author() ); ?>

									<?php if ( current_user_can( 'edit_users' ) || get_current_user_id() == $author_id ) : ?>
										<span class="edit-profile">(<a href="<?php echo esc_url( get_edit_user_link( $author_id ) ); ?>"><?php esc_html_e( 'Edit profile', 'adama' ) ?></a>)</span>
									<?php endif; ?>
								</h3>

								<?php echo get_the_author_meta( 'description', $author_id ); ?>
							</div>
						</div>

						<div class="panel-footer">
							<div class="author-social">
								<ul class="social-icons">
									<?php if ( get_the_author_meta( 'user_url' ) ) : ?>
										<li class="social-website">
											<a target="_blank" href="<?php echo esc_url( get_the_author_meta( 'user_url' ) ); ?>" rel="nofollow">
												<i class="fa fa-globe"></i>
											</a>
										</li>
									<?php endif; ?>

									<?php if ( get_the_author_meta( 'facebook' ) ) : ?>
										<li class="social-facebook">
											<a target="_blank" href="<?php echo esc_url( get_the_author_meta( 'facebook' ) ); ?>" rel="nofollow">
												<i class="fa fa-facebook"></i>
											</a>
										</li>
									<?php endif; ?>

									<?php if ( get_the_author_meta( 'twitter' ) ) : ?>
										<li class="social-twitter">
											<a target="_blank" href="<?php echo esc_url( 'https://twitter.com/' . get_the_author_meta( 'twitter' ) ); ?>" rel="nofollow">
												<i class="fa fa-twitter"></i>
											</a>
										</li>
									<?php endif; ?>

									<?php if ( get_the_author_meta( 'googleplus' ) ) : ?>
										<li class="social-google_plus">
											<a target="_blank" href="<?php echo esc_url( get_the_author_meta( 'googleplus' ) ); ?>" rel="nofollow">
												<i class="fa fa-google-plus"></i>
											</a>
										</li>
									<?php endif; ?>

									<?php if ( is_email( get_the_author_meta( 'email' ) ) ) : ?>
										<li class="social-email">
											<a target="_blank" href="mailto:<?php echo esc_attr( get_the_author_meta( 'email' ) ); ?>" rel="nofollow">
												<i class="fa fa-envelope"></i>
											</a>
										</li>
									<?php endif; ?>
								</ul>
							</div>
						</div>
					</div>
				<?php endif; ?>

				<?php get_template_part( 'loop', 'post' ); ?>

			</div><!-- #content -->

			<?php get_sidebar(); ?>

		</div><!-- .row -->
	</div><!-- .container -->
</section>

<?php get_footer();
