<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

// Don't allow direct access
if ( !defined( 'ABSPATH' ) ) {
	die;
}

if ( post_password_required() ) {
	return;
}
?>

<!-- You can start editing here. -->

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
		<h3 class="comments-title section-title">
			<?php
				printf( _nx( 'One comment on &ldquo;%2$s&rdquo;', '%1$s comments on &ldquo;%2$s&rdquo;', get_comments_number(), 'comments title', 'adama' ),
					number_format_i18n( get_comments_number() ), get_the_title() );
			?>
		</h3>

		<?php adama_comment_nav(); ?>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'callback'    => 'adama_comment',
					'avatar_size' => 64,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php adama_comment_nav(); ?>

	<?php endif; // have_comments() ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'adama' ); ?></p>
	<?php endif; ?>

	<?php
		$comments_args = array(
			'comment_field'        => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" placeholder="' . esc_attr__( 'Comment', 'adama' ) . '"  aria-required="true" required="required"></textarea></p>',
			'comment_notes_before' => '',
		);

		comment_form( $comments_args );
	?>

</div><!-- .comments-area -->
