<?php
/**
 * The template for displaying Team Member content
 *
 * @package GalacticaThemes
 * @subpackage Template
 */
?>

<div class="team-member item-container">
	<div class="figure">
		<?php echo adama_get_post_thumbnail( array( 'class' => 'img-full-width img-responsive' ), array( 'columns' => $GLOBALS['galactica_columns_number'] ) ); ?>

		<div class="figcaption">
			<div class="figcaption-btn">
				<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-one btn-xs view">
					<?php esc_html_e( 'View profile', 'adama' ); ?>
				</a>
			</div>
		</div>
	</div>

	<h3 class="entry-title nounderline">
		<a href="<?php echo esc_url( get_permalink() ); ?>">
			<?php
			the_title();

			$job_title = get_post_meta( get_the_ID(), 'adama_team_job_title', true );
			if ( !empty( $job_title ) ) {
				echo ', <span>', esc_html( $job_title ), '</span>';
			}
			?>
		</a>
	</h3>
	<div class="entry-summary">
		<?php galactica_excerpt(); ?>
	</div>

	<?php
		// Social icons
		echo galactica_team_social_list_html();
	?>
</div>
