<?php
/**
 * The template for displaying Testimonial content

 * @package GalacticaThemes
 * @subpackage Template
 */

// Data for content template
$testimonial_style = empty( $GLOBALS['galactica_testimonial_layout'] ) ? 'boxed' : $GLOBALS['galactica_testimonial_layout'];
$show_thumbnail = empty( $GLOBALS['galactica_testimonial_show_thumbnail'] ) ? false : true;

$thumbnail_html = '';
if ( $show_thumbnail && has_post_thumbnail( get_the_ID() ) ) {
	$attachment_id = get_post_thumbnail_id( get_the_ID() );

	$thumbnail_html = sprintf(
		'<div class="author-img">%s</div>',
		galactica_get_attachment_image( $attachment_id, array(), array( 'width' => 75, 'height' => 75 ) )
	);
}
?>

<div class="testimonial testimonial-style-<?php echo $testimonial_style; ?>">
	<div class="testimonial-body">
		<div class="testimonial-quote">
			<?php if ( $testimonial_style === 'classic' && !empty( $thumbnail_html ) ) : ?>
				<?php echo $thumbnail_html; ?>
			<?php endif; ?>

			<i class="fa fa-quote-left"></i>
			<?php the_content(); ?>
		</div>
	</div>

	<div class="testimonial-author">
		<?php if ( $testimonial_style === 'boxed' && !empty( $thumbnail_html ) ) : ?>
			<?php echo $thumbnail_html; ?>
		<?php endif; ?>

		<?php // Testimonial Author
		$testimonial_author = get_post_meta( get_the_ID(), 'adama_testimonial_author', true );
		if ( !empty( $testimonial_author ) ) : ?>

			<?php // Testimonial Author
			$testimonial_url = get_post_meta( get_the_ID(), 'adama_testimonial_url', true );
			$job_title = get_post_meta( get_the_ID(), 'adama_testimonial_author_job_title', true );

			// Add comma between author name and job position for classic style
			if ( $testimonial_style === 'classic' && !empty( $job_title ) ) {
				$testimonial_author .= ', ';
			}

			// Wrap author name with URL
			if ( !empty( $testimonial_url )) {
				$testimonial_author = sprintf(
					'<a href="%s">%s</a>',
					esc_url( $testimonial_url ),
					$testimonial_author
				);
			} ?>

			<div class="author-info">
				<span class="author-name">
					<?php echo $testimonial_author; ?>
				</span>

				<small class="author-job-title">
					<?php echo esc_html( $job_title ); ?>
				</small>
			</div>

		<?php endif; ?>

	</div>
</div>
