<?php
/**
 * The template for displaying posts in the Gallery post format
 *
 * @package GalacticaThemes
 * @subpackage Template
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="article-inner">
		<?php echo adama_post_slider(); ?>

		<div class="post-content-wrap">
			<div class="title-meta-wrap">
				<div class="meta-wrap">
					<?php the_title( '<h2 class="post-title"><a href="'. esc_url( get_permalink() ) .'">', '</a></h2>' ); ?>

					<div class="entry-meta">
						<?php if ( adama_get_blog_layout() !== 'list' ) { ?>
							<a href="<?php echo esc_url( get_permalink() ); ?>" class="date-link"><?php echo get_the_date(); ?></a>

							<span class="sep">|</span>
						<?php } ?>

						<?php if ( galactica_option( 'blog_hide_author_info', true ) ) : ?>
							<span><?php esc_html_e( 'By', 'adama' ); ?></span> <?php the_author_posts_link(); ?>
						<?php endif; ?>

						<span><?php esc_html_e( 'in', 'adama' ); ?></span> <?php the_category( ', ' ); ?>
					</div>
				</div>

				<?php if ( adama_get_blog_layout() === 'list' ) : ?>
					<div class="meta-wrap">
						<div class="entry-meta-right">
							<a href="<?php echo esc_url( get_permalink() ); ?>" class="post-time"><?php echo get_the_date(); ?></a>

							<?php
								// Load comments template
								if ( comments_open() || get_comments_number() ) :
									echo '<span class="sep">|</span>';
									comments_popup_link( '<i class="fa fa-comment"></i>&nbsp;0', '<i class="fa fa-comment"></i>&nbsp;1', '<i class="fa fa-comment"></i>&nbsp;%', 'link-comments' );
								endif;
							?>
						</div>
					</div>
				<?php endif; ?>
			</div>

			<div class="entry-content">
				<?php
					galactica_excerpt();

					galactica_link_pages();
				?>
			</div><!-- .entry-content -->
		</div>

		<?php if ( adama_get_blog_layout() !== 'list' ) : ?>
			<div class="entry-meta-right">
				<?php
					// Load comments template
					if ( comments_open() || get_comments_number() ) :
						comments_popup_link( '<i class="fa fa-comment"></i>&nbsp;0', '<i class="fa fa-comment"></i>&nbsp;1', '<i class="fa fa-comment"></i>&nbsp;%', 'link-comments' );
					endif;
				?>

				<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-xs btn-two pull-right"><?php esc_html_e( 'Read more', 'adama' ); ?></a>
			</div>
		<?php else: ?>
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-xs btn-two pull-right"><?php esc_html_e( 'Read more', 'adama' ); ?></a>
		<?php endif; ?>
	</div>
</article>
