<?php
/**
 * The default template for displaying content
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

$is_blog_list_layout = false;
$columns = 2;
if ( adama_get_blog_layout() === 'list' ) {
	$is_blog_list_layout = true;
	$columns = 1;
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="article-inner">
		<?php
		if ( has_post_thumbnail() ) { ?>
			<div class="item-container">
				<div class="figure">
					<?php
						$proportion = ( adama_get_blog_layout() === 'grid' ) ? array( 16, 9 ) : '';
						echo adama_get_post_thumbnail( array( 'class' => 'img-full-width img-responsive' ), array( 'columns' => $columns, 'proportion' => $proportion ) );
					?>

					<div class="figcaption">
						<div class="figcaption-btn">
							<?php if ( has_post_thumbnail() ) :
								$image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
								if ( $image && isset( $image[1] ) && $image[1] > 300 ) {
									$large_image_url = $image[0];
								}

								if ( !empty( $large_image_url ) ) : ?>
									<a href="<?php echo esc_url( $large_image_url ); ?>" class="btn btn-one btn-xs zoom-archive" target="_blank">
										<?php esc_html_e( 'Zoom', 'adama' ); ?>
									</a>
								<?php
								endif;
							endif;
							?>

							<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-one btn-xs view">
								<?php esc_html_e( 'View', 'adama' ); ?>
							</a>
						</div>
					</div>

				</div>
			</div>
		<?php } ?>

		<div class="post-content-wrap">
			<div class="title-meta-wrap">
				<div class="meta-wrap">
					<?php the_title( '<h2 class="post-title"><a href="'. esc_url( get_permalink() ) .'">', '</a></h2>' ); ?>

					<div class="entry-meta">
						<?php if ( !$is_blog_list_layout ) { ?>
							<a href="<?php echo esc_url( get_permalink() ); ?>" class="date-link"><?php echo get_the_date(); ?></a>

							<span class="sep">|</span>
						<?php } ?>

						<?php if ( galactica_option( 'blog_hide_author_info', true ) ) : ?>
							<span><?php esc_html_e( 'By', 'adama' ); ?></span> <?php the_author_posts_link(); ?>
						<?php endif; ?>

						<span><?php esc_html_e( 'in', 'adama' ); ?></span> <?php the_category( ', ' ); ?>
					</div>
				</div>

				<?php if ( $is_blog_list_layout ) : ?>
					<div class="meta-wrap">
						<div class="entry-meta-right">
							<a href="<?php echo esc_url( get_permalink() ); ?>" class="post-time"><?php echo get_the_date(); ?></a>

							<?php
								// Load comments template
								if ( comments_open() || get_comments_number() ) :
									echo '<span class="sep">|</span>';
									comments_popup_link( '<i class="fa fa-comment"></i>&nbsp;0', '<i class="fa fa-comment"></i>&nbsp;1', '<i class="fa fa-comment"></i>&nbsp;%', 'link-comments' );
								endif;
							?>
						</div>
					</div>
				<?php endif; ?>
			</div>

			<div class="entry-content">
				<?php
					galactica_excerpt();

					galactica_link_pages();
				?>
			</div><!-- .entry-content -->
		</div>

		<?php if ( !$is_blog_list_layout ) : ?>
			<div class="entry-meta-right">
				<?php
					// Load comments template
					if ( comments_open() || get_comments_number() ) :
						comments_popup_link( '<i class="fa fa-comment"></i>&nbsp;0', '<i class="fa fa-comment"></i>&nbsp;1', '<i class="fa fa-comment"></i>&nbsp;%', 'link-comments' );
					endif;
				?>

				<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-xs btn-two pull-right"><?php esc_html_e( 'Read more', 'adama' ); ?></a>
			</div>
		<?php else: ?>
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-xs btn-two pull-right"><?php esc_html_e( 'Read more', 'adama' ); ?></a>
		<?php endif; ?>
	</div>
</article>
