<?php
/**
 * The template for displaying Search Results pages
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

get_header();

$search_query = trim( get_search_query() ); ?>

<section class="w-section">
	<div class="container masonry masonry-column-3">
	 <div class="row">

		<div id="content" class="col-md-9 col-content" role="main">

			<?php if ( have_posts() && !empty( $search_query ) ) : ?>

				<div class="post-entries animate-hover-slide">
					<?php while ( have_posts() ) : the_post(); ?>

						<article class="post">
							<div class="article-inner">
								<?php if ( has_post_thumbnail() ) : ?>
									<div class="item-container">
										<div class="figure">
											<?php
												$proportion = ( adama_get_blog_layout() === 'grid' ) ? array( 16, 9 ) : '';
												echo adama_get_post_thumbnail( array( 'class' => 'img-full-width img-responsive' ), array( 'columns' => 3, 'proportion' => $proportion ) );
											?>

											<div class="figcaption">
												<div class="figcaption-btn">
													<?php if ( has_post_thumbnail() ) :
														$image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
														if ( $image && isset( $image[1] ) && $image[1] > 300 ) {
															$large_image_url = $image[0];
														}

														if ( !empty( $large_image_url ) ) : ?>
															<a href="<?php echo esc_url( $large_image_url ); ?>" class="btn btn-one btn-xs zoom-archive" target="_blank">
																<?php esc_html_e( 'Zoom', 'adama' ); ?>
															</a>
														<?php
														endif;
													endif;
													?>

													<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-one btn-xs view">
														<?php esc_html_e( 'View', 'adama' ); ?>
													</a>
												</div>
											</div>

										</div>
									</div>
								<?php endif; ?>

								<div class="post-content-wrap">
									<div class="title-meta-wrap">
										<div class="meta-wrap">
											<?php the_title( '<h2 class="post-title"><a href="'. esc_url( get_permalink() ) .'">', '</a></h2>' ); ?>

											<div class="entry-meta">
												<a href="<?php echo esc_url( get_permalink() ); ?>" class="date-link"><?php echo get_the_date(); ?></a>

												<?php if ( galactica_option( 'blog_hide_author_info', true ) ) : ?>
													<span class="sep">|</span>
													<span><?php esc_html_e( 'By', 'adama' ); ?></span> <?php the_author_posts_link(); ?>
												<?php endif; ?>
											</div>
										</div>
									</div>

									<div class="entry-content">
										<?php
											galactica_excerpt();

											galactica_link_pages();
										?>
									</div><!-- .entry-content -->
								</div>

								<div class="entry-meta-right">
									<?php // Load comments template
									if ( comments_open() || get_comments_number() ) {
										comments_popup_link( '<i class="fa fa-comment"></i>&nbsp;0', '<i class="fa fa-comment"></i>&nbsp;1', '<i class="fa fa-comment"></i>&nbsp;%', 'link-comments' );
									} ?>

									<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-xs btn-two pull-right"><?php esc_html_e( 'Read more', 'adama' ); ?></a>
								</div>
							</div>
						</article>

					<?php endwhile; ?>
				</div>

				<?php adama_pagination(); ?>

			<?php else: ?>

				<?php // If no content, include the "No posts found" template.
				get_template_part( 'content', 'noposts' ); ?>

			<?php endif; ?>

		</div><!-- #content -->

		<?php get_sidebar(); ?>

	 </div><!-- .row -->
	</div><!-- .container -->
</section>

<?php get_footer();
