<?php
/**
 * The sidebar containing the contact page widget area
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

// Map position
$map_position = get_post_meta( get_the_ID(), 'adama_contact_map_position', true );
$map_position = galactica_lower_in_array( $map_position, array( 'top', 'side' ), 'top' );
?>

<?php if ( galactica_is_sidebar_enabled() ) : ?>

	<div id="sidebar" class="col-md-5 widget-area sidebar-classic" role="complementary">

		<?php if ( $map_position === 'side' ) : ?>
			<div class="widget">
				<?php // Google Map
				echo galactica_map( array(
					'type'                => galactica_option( 'contact_map_type', 'road' ),
					'address'             => implode( '|', galactica_option( 'contact_map_address', array() ) ),
					'tooltip'             => '',
					'height'              => galactica_option( 'contact_map_height', 'road' ) . 'px',
					'zoom'                => galactica_option( 'contact_map_zoom', 15 ),
					'scrollwheel_enabled' => false,
				)); ?>
			</div>
		<?php endif; ?>

		<?php galactica_dynamic_sidebar(); ?>

	</div><!-- #sidebar -->

<?php endif; ?>
