<?php
/**
 * @package GalacticaThemes
 * @subpackage Template
 */

?>

<li class="shopping-cart dropdown">
	<a href="<?php echo esc_url( function_exists( 'wc_get_cart_url' ) ? wc_get_cart_url() : WC()->cart->get_cart_url() /* WooCommerce > 2.5 */ ); ?>" title="<?php esc_attr_e( 'View your shopping cart', 'adama' ); ?>"><i class="fa fa-shopping-cart"></i><span class="amount"><?php echo WC()->cart->get_cart_total(); ?></span></a>

	<ul class="sub-menu animate-wr animated fadeInLeft">
		<li>
			<div class="dropdown-cart">
				<span class="cart-items">
					<?php printf( esc_html( _n( 'You have %s item in your cart', 'You have %s items in your cart', WC()->cart->cart_contents_count, 'adama' ) ), '<strong>' . (int) WC()->cart->cart_contents_count . '</strong>' ); ?>
				</span>
				<table class="table table-cart">
					<tbody>
						<?php // Is cart empty
						$is_empty = sizeof( WC()->cart->get_cart() ) <= 0; ?>

						<tr>
							<th <?php echo $is_empty ? '' : 'colspan="2"'; ?>><?php esc_html_e( 'Product', 'adama' ); ?></th>
							<th class="text-center"><?php esc_html_e( 'Qty', 'adama' ); ?></th>
							<th><?php esc_html_e( 'Total', 'adama' ); ?></th>
						</tr>

						<?php if ( !$is_empty ) : ?>

							<?php // List products
							foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
								$_product = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );

								if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_widget_cart_item_visible', true, $cart_item, $cart_item_key ) ) {

									$product_id = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );
									$product_name = apply_filters( 'woocommerce_cart_item_name', $_product->get_title(), $cart_item, $cart_item_key );
									$product_thumbnail = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image( array( 50, 50 ), array( 'class' => 'aligncenter' ) ), $cart_item, $cart_item_key );
									$product_quantity = apply_filters( 'woocommerce_cart_item_quantity', $cart_item['quantity'], $cart_item_key );
									$product_price = apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
									?>

									<tr>
										<td><?php echo $product_thumbnail; ?></td>
										<td><a href="<?php echo esc_url( get_permalink( $product_id ) ); ?>"><?php echo esc_html( $product_name ); ?></a></td>
										<td class="text-center"><?php echo esc_html( $product_quantity ); ?></td>
										<td><?php echo $product_price; ?></td>
									</tr>

									<?php
								}
							} ?>

						<?php else : ?>

							<tr>
								<td colspan="3" class="empty text-center"><?php esc_html_e( 'No products in the cart.', 'adama' ); ?></td>
							</tr>

						<?php endif; ?>
					</tbody>
				</table>
				<div class="row">
					<div class="col-md-6">
						<a href="<?php echo esc_url( function_exists( 'wc_get_cart_url' ) ? wc_get_cart_url() : WC()->cart->get_cart_url() /* WooCommerce > 2.5 */ ); ?>" class="btn btn-xs btn-three"><?php esc_html_e( 'Edit cart', 'adama' ); ?></a>
					</div>
					<?php if ( sizeof( WC()->cart->get_cart() ) > 0 ) : ?>
						<div class="col-md-6">
							<a href="<?php echo esc_url( function_exists( 'wc_get_checkout_url' ) ? wc_get_checkout_url() : WC()->cart->get_checkout_url() /* WooCommerce > 2.5 */ ); ?>" class="btn btn-xs btn-two pull-right"><?php esc_html_e( 'Proceed to Checkout', 'adama' ); ?></a>
							<span class="clearfix"></span>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</li>
	</ul>
</li>