<?php
/**
 * Portfolio shortcode template for "hover" style
 *
 * @package GalacticaThemes
 * @subpackage Template
 */
?>

<div class="portfolio item-container">
	<div class="figure">
		<?php echo adama_get_post_thumbnail( array( 'class' => 'img-full-width img-responsive' ), array( 'columns' => $GLOBALS['galactica_columns_number'] ) ); ?>

		<div class="figcaption">
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="title-link"><h2 class="title"><?php the_title(); ?></h2></a>

			<div class="figcaption-btn">
				<?php if ( has_post_thumbnail() ) :
					$image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
					if ( $image && isset( $image[1] ) && $image[1] > 300 ) {
						$large_image_url = $image[0];
					}

					if ( !empty( $large_image_url ) ) : ?>
						<a href="<?php echo esc_url( $large_image_url ); ?>" class="btn btn-one btn-xs zoom-archive" data-images="<?php echo esc_attr( adama_portfolio_images_json() ); ?>" target="_blank">
							<?php esc_html_e( 'Zoom', 'adama' ); ?>
						</a>
					<?php
					endif;
				endif;
				?>

				<a href="<?php echo esc_url( get_permalink() ); ?>" class="btn btn-one btn-xs view">
					<?php esc_html_e( 'View', 'adama' ); ?>
				</a>
			</div>
		</div>

	</div>
</div>
