<?php
/**
 * Template Name: FAQ
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

get_header(); ?>

<section class="w-section">
	<div class="container">
		<div class="row">

			<div id="content" class="col-md-9 col-content" role="main">
				<?php
				while ( have_posts() ) : the_post();

					// Include the page content template
					get_template_part( 'content', 'page' );

					if ( !post_password_required() ) :
						$args = array (
							'post_type'      => array( 'bsg_faq' ),
							'post_status'    => array( 'publish' ),
							'posts_per_page' => '-1',
							'order'          => 'ASC',
							'orderby'        => 'menu_order',
						);

						$term_ids = array();
						$terms = get_terms( 'bsg_faq_category' );
						$disable_accordion = get_post_meta( get_the_ID(), 'adama_faq_disable_accordion', true );
						$faq_type = 'accordion';
						$wrapper_class = 'panel-group ';

						if ( $disable_accordion ) {
							$faq_type = 'panel';
							$wrapper_class = '';
						}

						if ( !empty( $terms ) && !is_wp_error( $terms ) ) :
							foreach ( $terms as $term ) :
								// Data for content template
								$GLOBALS['galactica_faq_term_id'] = (int) $term->term_id;

								$term_ids[] = $term->term_id;

								$args['tax_query'] = array(
									array(
									'taxonomy' => 'bsg_faq_category',
										'field'    => 'id',
										'terms'    => $term->term_id,
									),
								);
								$query = new WP_Query( $args );

								if ( $query->have_posts() ) {

									echo '<h2>' . esc_html( $term->name ) . '</h2>';
									echo '<div class="' . $wrapper_class . 'accordion faq-panel" id="accordion-group-faq-' . $GLOBALS['galactica_faq_term_id'] . '" role="tablist" aria-multiselectable="true">';

										while ( $query->have_posts() ) { $query->the_post();
											get_template_part( 'templates/content/faq', $faq_type );
										}

									echo '</div>';
								}
							endforeach;
						endif;


						// Posts without category
						if ( !empty( $term_ids ) ) {
							$args['tax_query'] = array(
								array(
								'taxonomy' => 'bsg_faq_category',
									'field'    => 'id',
									'terms'    => $term_ids,
									'operator' => 'NOT IN'
								),
							);
						} else {
							unset( $args['tax_query'] );
						}

						$query = new WP_Query( $args );

						if ( $query->have_posts() ) {
							$galactica_faq_term_id = 0;

							echo '<div class="' . $wrapper_class . 'accordion faq-panel" id="accordion-group-faq-' . $galactica_faq_term_id . '" role="tablist" aria-multiselectable="true">';

								while ( $query->have_posts() ) { $query->the_post();
									get_template_part( 'templates/content/faq', $faq_type );
								}

							echo '</div>';
						}

						// Restore original Post Data
						wp_reset_postdata();

						// Load comments template
						if ( comments_open() || get_comments_number() ) {
							comments_template();
						}
					endif;

				endwhile;
				?>

			</div><!-- #content -->
			<?php get_sidebar(); ?>

		</div>
	</div>
</section>

<?php get_footer();
