<?php
/**
 * Default (classic) header layout
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

// Test is slideout sidebar enabled
$is_slideout_enabled = galactica_option( 'enable_slideout', true ) && galactica_slideout_is_active_sidebar(); ?>

<?php // Top Bar
if ( galactica_option( 'header_top_enable', true ) ) {
	get_template_part( 'templates/header/top-bar' );
} ?>

<header class="header-layout-classic">
	<div id="navOne" class="navbar navbar-primary" role="navigation">

		<div class="container primary-menu-container">
			<div class="galactica-navbar-header">
				<div class="header-buttons-wrap">
					<?php if ( $is_slideout_enabled ) : ?>
						<button type="button" class="galactica-navbar-toggle navbar-toggle-sidebar-slideout toggle-sidebar-slideout">
							<i class="fa fa-outdent icon-custom"></i>
						</button>
					<?php endif; ?>

					<button type="button" class="galactica-navbar-toggle navbar-toggle-menu" data-target=".galactica-navbar-collapse">
						<span class="sr-only"><?php esc_html_e( 'Toggle navigation', 'adama' ); ?></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
				</div>

				<div class="logo-container">
					<?php get_template_part( 'templates/header/logo' ); ?>
				</div>
			</div>

			<?php get_template_part( 'templates/header/menu/default' ); ?>
			<?php get_template_part( 'templates/header/menu/mobile' ); ?>
		</div>

	</div>
</header>

<?php // Title Bar (title and breadcrumb)
get_template_part( 'templates/header/title-bar' ); ?>

<?php // Hero section (image or slider)
echo adama_header_hero();