<?php
/**
 * @package GalacticaThemes
 * @subpackage Template
 */

$logo = galactica_option_logo();
$site_name = get_bloginfo( 'name' );

if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) :
	the_custom_logo();
else:

	if ( !empty( $logo['url'] ) ) : ?>

		<a class="galactica-navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
			<img id="logo" src="<?php echo esc_url( $logo['url'] ); ?>" width="<?php echo esc_attr( $logo['width'] ); ?>" height="<?php echo esc_attr( $logo['height'] ); ?>" alt="<?php echo esc_attr( $site_name ); ?>" />

			<?php if ( !empty( $logo['x2']['url'] ) ) : ?>
			<script>
			(function() {
			 if ( window.devicePixelRatio > 1 ) {
				var logo = document.getElementById( 'logo' );
				if ( logo ) {
					logo.src = '<?php echo esc_attr( $logo['x2']['url'] ); ?>';
					logo.width = '<?php echo esc_attr( $logo['x2']['width'] ); ?>';
					logo.height = '<?php echo esc_attr( $logo['x2']['height'] ); ?>';
				}
			 }
			} )();
			</script>
			<?php endif; ?>
		</a>

	<?php else: ?>
		<a class="galactica-navbar-brand no-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
			<?php echo esc_html( $site_name ); ?>
		</a>

		<?php if ( get_bloginfo( 'description' ) && !( is_front_page() && !is_singular( 'page' ) ) ) : ?>
			<p class="site-description"><?php echo esc_html( get_bloginfo( 'description' ) ) ?></p>
		<?php endif;
	endif;

endif;