<?php
/**
 * The template for displaying primary menu
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

// Test is slideout sidebar enabled
$is_slideout_enabled = galactica_option( 'enable_slideout', true ) && galactica_slideout_is_active_sidebar(); ?>

<div class="galactica-navbar-collapse galactica-default-navbar" role="navigation">
	<ul class="galactica-nav galactica-navbar-nav galactica-navbar-right">

		<?php // Main navigation
		wp_nav_menu( array(
			'theme_location' => 'primary',
			'container'      => false,
			'items_wrap'     => '%3$s',
			'sort_column'    => 'menu_order',
			'depth'          => 4,
			'walker'         => new Galactica_Primary_Walker_Nav_Menu(),
			'fallback_cb'    => 'adama_primary_wp_page_menu',
		) ); ?>

		<?php if ( galactica_option( 'header_nav_enable_search', true ) ) : ?>
			<li class="dropdown dropdown-form-wrap">
				<a href="#" class="dropdown-toggle dropdown-form-toggle animate-click" data-toggle="dropdown" data-animate-in="animated fadeInUp" data-animate-out="animated fadeOutDown"><i class="fa fa-search"></i></a>
				<ul class="dropdown-menu dropdown-menu-form animate-wr">
					<li id="dropdownForm">
						<div class="dropdown-form"><?php get_search_form(); ?></div>
					</li>
				</ul>
			</li>
		<?php endif; ?>

		<?php if ( $is_slideout_enabled ) : ?>
			<li>
				<a href="#" id="cmd-sidebar-slideout" class="dropdown-toggle dropdown-form-toggle toggle-sidebar-slideout" title="<?php esc_attr_e( 'Open Sidebar', 'adama' ); ?>">
					<i class="fa fa-outdent"></i>
				</a>
			</li>
		<?php endif; ?>

	</ul>
</div>