<?php
/**
 * @package GalacticaThemes
 * @subpackage Template
 */

if ( is_404() ) {
	return;
}

$show_breadcrumb_global = galactica_option( 'show_breadcrumb', true );

$page_id = galactica_get_page_id();
if ( !empty( $page_id ) ) {
	$show_title = !get_post_meta( $page_id, 'adama_hide_title', true );
	$show_breadcrumb = $show_breadcrumb_global && !get_post_meta( $page_id, 'adama_hide_breadcrumb', true );
} else {
	$show_title = true;
	$show_breadcrumb = $show_breadcrumb_global;
}

if ( $show_title || $show_breadcrumb ) : ?>
	<div class="title-bar">
		<div class="container">
			<?php

			if ( $show_title ) {
				adama_page_title();
			}

			if ( $show_breadcrumb ) {
				adama_breadcrumb();
			}

			?>
		</div>
	</div>
<?php endif;
