<?php
/**
 * Template Name: Portfolio Fluid
 *
 * @package GalacticaThemes
 * @subpackage Template
 */


// CSS Classes
$css_class = galactica_portfolio_meta_option( 'portfolio_spaced', false ) ? 'work-space' : 'work-no-space';
$css_class .= ' portfolio-columns-' . galactica_int_range( galactica_portfolio_meta_option( 'portfolio_columns', 3 ), 1, 4 ) ;

get_header(); ?>

<section class="w-section animate-hover-slide">
	<div class="work <?php echo esc_attr( $css_class ); ?>">
		<div class="container">
			<div class="row">

				<div id="content" class="col-md-12 col-content">
					<?php while ( have_posts() ) : the_post(); ?>

						<?php // Include the page content template.
						get_template_part( 'content', 'page' );

						if ( !post_password_required() ) :

							// Category filter
							$adama_portfolio_cats = get_terms( 'bsg_portfolio_category' );

							if ( !empty( $adama_portfolio_cats ) && !is_wp_error( $adama_portfolio_cats ) ) {
								$filter_sm = '';
								$filter_lg = '';

								foreach ( $adama_portfolio_cats as $cat ) {
									if ( $cat->count > 0 ) {
										$filter_sm .= '<li class="filter-ajax" data-filter="category_' . esc_attr( $cat->slug ) . '" data-category-id="' . esc_attr( $cat->term_id ) . '"><a>' . esc_html( $cat->name ) . '</a></li>';
										$filter_lg .= '<button type="button" class="btn btn-five filter-ajax" data-filter="category_' . esc_attr( $cat->slug ) . '" data-category-id="' . esc_attr( $cat->term_id ) . '">' . esc_html( $cat->name ) . '</button>';
									}
								}

								?>

								<div class="sort-list-btn hidden-sm hidden-xs portfolio-filter-list ajax-filter">
									<button type="button" class="btn btn-two filter-ajax" data-filter="all" data-category-id=""><i class="fa fa-th-large"></i> <?php esc_html_e( 'Show All', 'adama' ); ?></button>
									<?php echo $filter_lg; ?>
								</div>

								<div class="btn-group pull-right hidden-lg hidden-md portfolio-filter-list ajax-filter">
									<button type="button" class="btn btn-three"><?php esc_html_e( 'Filter projects', 'adama' ); ?></button>
									<button type="button" class="btn btn-three dropdown-toggle" data-toggle="dropdown">
										<span class="caret"></span>
									</button>
									<ul class="dropdown-menu pull-right" role="menu" id="ulFilterMenu">
										<li class="filter-ajax active" data-filter="all" data-category-id=""><a><?php esc_html_e( 'Show All', 'adama' ); ?></a></li>
										<?php echo $filter_sm; ?>
									</ul>
								</div>

							<?php } ?>

						<?php endif; ?>
					<?php endwhile; ?>
				</div>

			</div>
		</div>

		<?php if ( !post_password_required() ) : ?>
			<div class="container-fluid">
				<div class="row mixitup work-grid" data-current-page="<?php echo galactica_get_query_var_paged(); ?>">
					<?php get_template_part( 'templates/portfolio-layout' ); ?>
					<div class="gap"></div>
				</div><!-- .mixitup -->
			</div>
		<?php endif; ?>

	</div>
</section>

<?php get_footer();