<?php
/**
 * Portfolio layout template
 *
 * @package GalacticaThemes
 * @subpackage Template
 */

$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$portfolio_columns = galactica_portfolio_meta_option( 'portfolio_columns', 3 );

$args = array(
	'post_type'      => 'bsg_portfolio',
	'post_status'    => 'publish',
	'paged'          => $paged,
	'posts_per_page' => max( galactica_portfolio_meta_option( 'portfolio_items_per_page', 9 ), $portfolio_columns ),
);
$query = new WP_Query( $args );

// Loop
if ( $query->have_posts() ) {

	$portfolio_style = galactica_portfolio_meta_option( 'portfolio_style', 'hover' );
	$GLOBALS['galactica_columns_number'] = $portfolio_columns;

	$count = 0;
	while ( $query->have_posts() ) {
		$query->the_post();
		$count++;

		$data_categories = '';
		$portfolio_categories = wp_get_post_terms( get_the_ID(), 'bsg_portfolio_category', array( 'fields' => 'all' ) );
		if ( !empty( $portfolio_categories ) && !is_wp_error( $portfolio_categories ) ) {
			foreach ( $portfolio_categories as $portfolio_cat ) {
				$data_categories .= "category_{$portfolio_cat->slug} ";
			}

			$data_categories = esc_attr( trim( $data_categories ) );
		}

		?><div class="mix <?php echo $data_categories; ?>" data-filter="<?php echo $data_categories; ?>">
			<?php get_template_part( 'templates/content/portfolio', $portfolio_style ); ?>
		</div><?php
	}
} else {
	get_template_part( 'content', 'noposts' );
} ?>

<!-- Pagination -->
<div class="pagination-infinite">
	<div class="infinite-loader"></div>
	<a href="#"><?php esc_html_e( 'Loading...', 'adama' ); ?></a>
</div>

<?php // Reset
wp_reset_postdata();
