<?php
/**
 * Galactica Themes
 *
 * Meta functions.
 *
 * @package GalacticaThemes
 * @subpackage Theme
 */

// Don't allow direct access
if ( !defined( 'ABSPATH' ) ) {
	die;
}


if ( !function_exists( 'adama_favicons_apple_icons' ) ) {
	/**
	 * Output the site favicons and apple icons.
	 *
	 * @return void
	 */
	function adama_favicons_apple_icons() {
		$output = '';

		// Favicon
		$favicon_url = galactica_option_image_url( 'favicon' );

		// Favicon
		if ( !empty( $favicon_url ) ) {
			$output .= '<link rel="shortcut icon" href="' . esc_url( $favicon_url ) . '" />' . "\n";
		}


		// Apple icons
		$apple_iphone_icon_url = galactica_option_image_url( 'apple_iphone_icon' );
		$apple_iphone_icon_retina_url = galactica_option_image_url( 'apple_iphone_iconX2' );
		$apple_ipad_icon_url = galactica_option_image_url( 'apple_ipad_icon' );
		$apple_ipad_icon_retina_url = galactica_option_image_url( 'apple_ipad_iconX2' );
		$apple_ipad_2_mini_icon_url = galactica_option_image_url( 'apple_ipad_2_mini_icon' );
		$apple_ipad_2_mini_icon_retina_url = galactica_option_image_url( 'apple_ipad_2_mini_iconX2' );
		$apple_ipad_4s_icon_url = galactica_option_image_url( 'apple_ipad_4s_icon' );
		$apple_ipad_4s_icon_retina_url = galactica_option_image_url( 'apple_ipad_4s_iconX2' );

		// Apple iPhone Icon
		if ( !empty( $apple_iphone_icon_url ) ) {
			$output .= '<link rel="apple-touch-icon-precomposed" href="' . esc_url( $apple_iphone_icon_url ) . '" />' . "\n";
		}

		// Apple iPhone Retina Icon
		if ( !empty( $apple_iphone_icon_retina_url ) ) {
			$output .= '<link rel="apple-touch-icon-precomposed" sizes="114x114" href="' . esc_url( $apple_iphone_icon_retina_url ) . '" />' . "\n";
		}

		// Apple iPad Icon
		if ( !empty( $apple_ipad_icon_url ) ) {
			$output .= '<link rel="apple-touch-icon-precomposed" sizes="72x72" href=" '. esc_url( $apple_ipad_icon_url ) .' " />' . "\n";
		}

		// Apple iPad Retina Icon
		if ( !empty( $apple_ipad_icon_retina_url ) ) {
			$output .= '<link rel="apple-touch-icon-precomposed" sizes="144x144" href="' . esc_url( $apple_ipad_icon_retina_url ) . '" />' . "\n";
		}

		// Apple iPad 2 and iPad mini Icon
		if ( !empty( $apple_ipad_2_mini_icon_url ) ) {
			$output .= '<link rel="apple-touch-icon-precomposed" sizes="76x76" href="' . esc_url( $apple_ipad_2_mini_icon_url ) . '" />' . "\n";
		}

		// Apple iPad 2 and iPad mini Retina Icon
		if ( !empty( $apple_ipad_2_mini_icon_retina_url ) ) {
			$output .= '<link rel="apple-touch-icon-precomposed" sizes="152x152" href="' . esc_url( $apple_ipad_2_mini_icon_retina_url ) . '" />' . "\n";
		}

		// Apple iPhone 4s, iPhone 5 and iPhone 6 Icon
		if ( !empty( $apple_ipad_4s_icon_url ) ) {
			$output .= '<link rel="apple-touch-icon-precomposed" sizes="120x120" href="' . esc_url( $apple_ipad_4s_icon_url ) . '" />' . "\n";
		}

		// Apple iPhone 4s, iPhone 5 and iPhone 6 Retina Icon
		if ( !empty( $apple_ipad_4s_icon_retina_url ) ) {
			$output .= '<link rel="apple-touch-icon-precomposed" sizes="180x180" href="' . esc_url( $apple_ipad_4s_icon_retina_url ) . '" />' . "\n";
		}

		echo $output;
	}
}

// Output favicon META
if ( galactica_option( 'enable_custom_favicon', true ) || version_compare( $GLOBALS['wp_version'], '4.3', '<' ) ) {
	add_action( 'wp_head', 'adama_favicons_apple_icons' );
}
