<?php
/**
 * @package GalacticaThemes
 * @subpackage Template
 *
 * The template for displaying product content within shortcode loop.
 */

defined( 'ABSPATH' ) || exit;

global $product;


// WooCommerce > v2.5.0
if ( method_exists( $product, 'get_id' ) ) {
	$product_get_id = $product->get_id();
} else {
	$product_get_id = $product->id;
}

// WooCommerce > v2.4.0
if ( method_exists( $product, 'get_type' ) ) {
	$product_get_type = $product->get_type();
} else {
	$product_get_type = $product->product_type;
} ?>

<div <?php function_exists( 'wc_product_class' ) ? wc_product_class( 'product-shortcode' ) : post_class( 'product-shortcode' );  // WooCommerce < 3.4.0 ?>>

	<a href="<?php echo esc_url( $product->get_permalink() ); ?>" class="shop-product-image">
		<?php echo adama_get_post_thumbnail( array( 'class' => 'img-full-width img-responsive' ), array( 'columns' => $GLOBALS['galactica_columns_number'] ) ); ?>

		<?php adama_add_to_cart_spinner(); ?>
		<div class="product-title"><?php echo $product->get_title(); ?></div>
	</a>

	<div class="shop-product-footer">
		<?php // Add to cart button
		printf(
			'<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="button btn %s product_type_%s">%s</a>',
			esc_url( $product->add_to_cart_url() ),
			esc_attr( $product_get_id ),
			esc_attr( $product->get_sku() ),
			esc_attr( isset( $quantity ) ? $quantity : 1 ),
			$product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
			esc_attr( $product_get_type ),
			esc_html( $product->add_to_cart_text() )
		); ?>

		<span class="price"><?php echo $product->get_price_html(); ?></span>
	</div>

</div>
